Bug 79145 - UTF-8 Compose file breaks Evolution and Mozilla mail but NOT some other applications
UTF-8 Compose file breaks Evolution and Mozilla mail but NOT some other appli...
Status: CLOSED RAWHIDE
Product: Red Hat Raw Hide
Classification: Retired
Component: XFree86 (Show other bugs)
1.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Mike A. Harris
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-12-06 05:32 EST by David Monniaux
Modified: 2007-04-18 12:48 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-12-11 13:11:09 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Monniaux 2002-12-06 05:32:01 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20021003

Description of problem:
The new /usr/X11R6/lib/X11/locale/en_US.UTF-8/Compose breaks entering accented
characters in Evolution and Mozilla.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Run Evolution
2.New mail
3.Type Compose ' e
	

Actual Results:  Nothing is displayed.

Expected Results:  i (e acute) is displayed.

Additional info:

I am the author of said /usr/X11R6/lib/X11/locale/en_US.UTF-8/Compose file and I
will try to find the source of the problem.

Other applications, such as gnome-terminal and kword work fine.
Comment 1 David Monniaux 2002-12-06 11:09:41 EST
Please replace the UTF-8 Compose table
xc/nls/Compose/en_US.UTF-8
by the one on
http://www.di.ens.fr/~monniaux/download/Compose_autogen.3.utf-8

This fixes said problems as well as some silly typos.
Comment 2 Mike A. Harris 2002-12-06 11:33:02 EST
I just caught this out of the corner of my eye that you have put this bug
into the MODIFIED bugzilla state.  Had I not noticed, the bug report would
have never been looked at again.

MODIFIED is not for users or reporters to indicate that they've modified
a bug report by adding a comment.  It is used by _developers_ to indicate
to bug reporters that the bug they've reported is believed to be fixed,
but is not yet tested and requires the reporter or someone to confirm that
the bug is fixed.  When a Red Hat developer puts a bug into the MODIFIED
state, they generally never look at it again ever, as it is then up to the
bug reporter to change the bug to RAWHIDE or somesuch if it is found to
be fixed, or back to ASSIGNED if the bug is not fixed.

Had I not caught your change to MODIFIED in the email that bugzilla sends
out, I'd have lost your patch.

Comment 3 Mike A. Harris 2002-12-06 11:58:00 EST
Please supply your changes as a unified diff against our package's
source.  Or do a fresh checkout of XFree86 CVS, make your changes,
and resubmit a new patch to fixes@XFree86.org

I probably wont apply the patch until it is accepted by XFree86.org
anyway as I don't want to have to maintain patches that they don't have
in their tree for stuff like this.
Comment 4 David Monniaux 2002-12-06 12:07:03 EST
A patch would be meaningless in this case: said file contains only a single
piece of data: a big table, which has to be replaced in full.

File URL already sent to patch@xfree86.org (#5527), overriding patch #5495 (my
original file).
Comment 5 Mike A. Harris 2002-12-11 13:10:47 EST
Fixed in rawhide build 20021210.0

Please test and close RAWHIDE if it works as expected.  Otherwise
reopen to ASSIGNED state.

Note You need to log in before you can comment on or make changes to this bug.